Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 2577563002: Add struct traits for base::Value. (Closed)

Created:
11 months, 1 week ago by Sam McNally
Modified:
11 months ago
CC:
Aaron Boodman, abarth-chromium, chrome-apps-syd-reviews_chromium.org, chromium-reviews, darin (slow to review), darin-cc_chromium.org, feature-media-reviews_chromium.org, jam, mcasas+watch+vc_chromium.org, miu+watch_chromium.org, mlamouri+watch-content_chromium.org, posciak+watch_chromium.org, qsr+mojo_chromium.org, tfarina, viettrungluu+watch_chromium.org, xjz+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add struct traits for base::Value. BUG=675860 Committed: https://crrev.com/9bd0ed45ad35ed78c4ccd55321f884cacd0778d7 Cr-Commit-Position: refs/heads/master@{#440057}

Patch Set 1 : #

Patch Set 2 : #

Total comments: 2

Patch Set 3 : rebase #

Patch Set 4 : #

Total comments: 4

Patch Set 5 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+529 lines, -117 lines) Patch
M base/json/json_parser.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M base/values.h View 2 chunks +2 lines, -0 lines 0 comments Download
M base/values.cc View 2 chunks +10 lines, -0 lines 0 comments Download
M chrome/browser/importer/external_process_importer_client.cc View 1 2 3 4 1 chunk +13 lines, -11 lines 0 comments Download
M chrome/utility/profile_import_handler.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/utility/profile_import_handler.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M components/arc/common/bluetooth.mojom View 1 chunk +1 line, -1 line 0 comments Download
M components/safe_json/public/interfaces/BUILD.gn View 1 chunk +4 lines, -0 lines 0 comments Download
M components/safe_json/public/interfaces/safe_json.mojom View 1 chunk +2 lines, -3 lines 0 comments Download
D components/safe_json/public/interfaces/safe_json.typemap View 1 chunk +0 lines, -9 lines 0 comments Download
M components/safe_json/safe_json_parser_impl.h View 2 chunks +1 line, -2 lines 0 comments Download
M components/safe_json/safe_json_parser_impl.cc View 1 chunk +2 lines, -12 lines 0 comments Download
M components/safe_json/utility/safe_json_parser_mojo_impl.cc View 1 chunk +2 lines, -4 lines 0 comments Download
M components/typemaps.gni View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/renderer_host/media/video_capture_controller.cc View 1 2 1 chunk +2 lines, -3 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/video_capture_impl.cc View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M content/renderer/media/video_capture_impl_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/base/video_frame_metadata.h View 1 chunk +1 line, -1 line 0 comments Download
M media/base/video_frame_metadata.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M mojo/common/common_custom_types_unittest.cc View 1 2 3 4 3 chunks +71 lines, -45 lines 0 comments Download
M mojo/common/test_common_custom_types.mojom View 1 chunk +5 lines, -0 lines 0 comments Download
M mojo/common/values.mojom View 1 2 3 1 chunk +24 lines, -3 lines 0 comments Download
M mojo/common/values.typemap View 1 chunk +13 lines, -3 lines 0 comments Download
A mojo/common/values_struct_traits.h View 1 1 chunk +250 lines, -0 lines 0 comments Download
A mojo/common/values_struct_traits.cc View 1 chunk +101 lines, -0 lines 0 comments Download
M services/preferences/public/cpp/pref_observer_store.h View 1 chunk +2 lines, -1 line 0 comments Download
M services/preferences/public/cpp/pref_observer_store.cc View 1 chunk +5 lines, -5 lines 0 comments Download
M services/preferences/public/cpp/tests/pref_observer_store_unittest.cc View 1 2 3 4 3 chunks +4 lines, -3 lines 0 comments Download

Messages

Total messages: 105 (77 generated)
Sam McNally
+dcheng for //base, the mojoms and struct traits +rockot for //mojo and //services
11 months ago (2016-12-16 04:23:04 UTC) #58
Ken Rockot(use gerrit already)
lgtm https://codereview.chromium.org/2577563002/diff/220001/mojo/common/values.mojom File mojo/common/values.mojom (right): https://codereview.chromium.org/2577563002/diff/220001/mojo/common/values.mojom#newcode31 mojo/common/values.mojom:31: struct LegacyListValue; Can we add a TODO to ...
11 months ago (2016-12-16 16:39:58 UTC) #61
dcheng
Hmm... my understanding is it was an intentional decision not to support generic base::Value in ...
11 months ago (2016-12-16 18:00:46 UTC) #63
Ken Rockot(use gerrit already)
I don't recall it being an intentional decision, rather I thought it was just more ...
11 months ago (2016-12-16 18:06:53 UTC) #64
Tom Sepez
This was an intentional decision not to do this. Now I need to go look ...
11 months ago (2016-12-16 18:16:51 UTC) #65
Tom Sepez
On 2016/12/16 18:16:51, Tom Sepez wrote: > This was an intentional decision not to do ...
11 months ago (2016-12-16 18:20:31 UTC) #66
Ken Rockot(use gerrit already)
On 2016/12/16 at 18:20:31, tsepez wrote: > On 2016/12/16 18:16:51, Tom Sepez wrote: > > ...
11 months ago (2016-12-16 18:26:50 UTC) #67
yzshen1
On 2016/12/16 18:20:31, Tom Sepez wrote: > On 2016/12/16 18:16:51, Tom Sepez wrote: > > ...
11 months ago (2016-12-16 18:40:35 UTC) #68
Tom Sepez
I think we decided it was more work than needed to accomplish what anyone needed ...
11 months ago (2016-12-16 19:08:57 UTC) #69
Tom Sepez
On 2016/12/16 19:08:57, Tom Sepez wrote: > I think we decided it was more work ...
11 months ago (2016-12-16 19:15:09 UTC) #70
Sam McNally
+chcunningham for //media and //content/*/media +bauerb for //components/safe_json +jochen for //chrome and //components/typemaps.gni https://codereview.chromium.org/2577563002/diff/220001/mojo/common/values.mojom File ...
11 months ago (2016-12-18 23:18:31 UTC) #74
Bernhard Bauer
safe_json LGTM
11 months ago (2016-12-19 10:42:23 UTC) #77
jochen (gone - plz use gerrit)
please add a tracking bug for this and reference it from the CL description. Ideally, ...
11 months ago (2016-12-19 11:57:02 UTC) #78
Sam McNally
On 2016/12/19 11:57:02, jochen wrote: > please add a tracking bug for this and reference ...
11 months ago (2016-12-20 06:22:06 UTC) #81
chcunningham
media LGTM
11 months ago (2016-12-20 18:43:42 UTC) #82
Sam McNally
dcheng: still need your review for //base.
11 months ago (2016-12-20 21:09:45 UTC) #83
dcheng
I'm not super enthusiastic about the new base interface. I really wish mojo didn't have ...
11 months ago (2016-12-20 23:44:47 UTC) #84
dcheng
(this cl lgtm though)
11 months ago (2016-12-20 23:44:58 UTC) #85
Sam McNally
https://codereview.chromium.org/2577563002/diff/260001/media/base/video_frame_metadata.cc File media/base/video_frame_metadata.cc (right): https://codereview.chromium.org/2577563002/diff/260001/media/base/video_frame_metadata.cc#newcode154 media/base/video_frame_metadata.cc:154: std::unique_ptr<base::DictionaryValue> VideoFrameMetadata::CopyInternalValues() On 2016/12/20 23:44:47, dcheng wrote: > It's ...
11 months ago (2016-12-21 00:16:16 UTC) #86
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2577563002/260001
11 months ago (2016-12-21 00:17:25 UTC) #89
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/336757)
11 months ago (2016-12-21 02:19:21 UTC) #91
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2577563002/260001
11 months ago (2016-12-21 02:23:03 UTC) #93
dcheng
https://codereview.chromium.org/2577563002/diff/260001/mojo/common/values.mojom File mojo/common/values.mojom (right): https://codereview.chromium.org/2577563002/diff/260001/mojo/common/values.mojom#newcode8 mojo/common/values.mojom:8: NullValue? null_value; Btw, why does this need to be ...
11 months ago (2016-12-21 02:23:04 UTC) #94
Sam McNally
https://codereview.chromium.org/2577563002/diff/260001/mojo/common/values.mojom File mojo/common/values.mojom (right): https://codereview.chromium.org/2577563002/diff/260001/mojo/common/values.mojom#newcode8 mojo/common/values.mojom:8: NullValue? null_value; On 2016/12/21 02:23:04, dcheng wrote: > Btw, ...
11 months ago (2016-12-21 02:32:53 UTC) #95
commit-bot: I haz the power
Failed to apply patch for components/typemaps.gni: While running git apply --index -p1; error: patch failed: ...
11 months ago (2016-12-21 06:14:41 UTC) #97
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2577563002/280001
11 months ago (2016-12-21 06:50:30 UTC) #100
commit-bot: I haz the power
Committed patchset #5 (id:280001)
11 months ago (2016-12-21 08:56:18 UTC) #103
commit-bot: I haz the power
11 months ago (2016-12-21 08:59:46 UTC) #105
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/9bd0ed45ad35ed78c4ccd55321f884cacd0778d7
Cr-Commit-Position: refs/heads/master@{#440057}

Powered by Google App Engine
This is Rietveld efc10ee0f